Loading...
Searching...
No Matches
GxFatalError Class Reference

`#include <gx_logging.h>`

Inheritance diagram for GxFatalError:

## Public Member Functions

virtual const char * | what () const throw ()
| GxFatalError (std::string m)
| GxFatalError (boost::basic_format< char > &m)
| ~GxFatalError () throw ()

## Private Attributes

std::string | msg

## Detailed Description

Definition at line 90 of file gx_logging.h.

## Constructor & Destructor Documentation

## GxFatalError() [1/2]

GxFatalError::GxFatalError | ( | std::string | m | ) |

inline

Definition at line 97 of file gx_logging.h.

## GxFatalError() [2/2]

GxFatalError::GxFatalError | ( | boost::basic_format< char > & | m | ) |

inline

Definition at line 98 of file gx_logging.h.

## ~GxFatalError()

GxFatalError::~GxFatalError | ( |  | ) |
throw | ( | ) |  |  |

## Member Function Documentation

## what()

virtual const char * GxFatalError::what | ( |  | ) | const
throw | ( | ) |  |  |

inline virtual

Definition at line 94 of file gx_logging.h.

## Member Data Documentation

## msg

std::string GxFatalError::msg

private

Definition at line 92 of file gx_logging.h.

Referenced by GxExit::fatal_msg(), GxFatalError(), GxFatalError(), and what().

The documentation for this class was generated from the following file:

- src/headers/gx_logging.h